MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000729VCMIGUI - Otherpublic2011-05-27 12:252014-05-30 17:40
ReporterSteven Aus 
Assigned ToTow 
PrioritynormalSeveritycrashReproducibilitysometimes
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.84b 
Target VersionFixed in Version0.87 
Summary0000729: 0.84b - Have been getting "Player is not allowed to perform this action!" errors for various actions on adv map and town screen.
DescriptionIncluding, moving, building (such as Capitol) or even clicking on certain things in the town screen. Attached is client and server logs from the latest time. The error does not always occur, but is does happen relatively often.

Best regards,
Steven.
TagsNo tags attached.
Attached Files7z file icon Player is not allowed to perform this action!.7z [^] (21,412 bytes) 2011-05-27 12:25

- Relationships
has duplicate 0000800closedTow the interface locked on day 2, the errors in console suggests it's something with terrain 

-  Notes
(0001736)
Zamolxis (viewer)
2011-05-28 15:56

@Steven: Are you able to identify any pattern that can help reproduce this? I tried with new & saved game, after performing various actions in the game (town builds, battles with casting), and yet I never ran into the issue (except if hero tries to retreat in Tactics phase, but that's reported separately as 0000731)
(0002000)
Tow (developer)
2011-09-06 10:03
edited on: 2011-09-06 10:05

In r2375 I've fixed a race condition on the server side. It may have caused server to reject valid requests from client received immediately after new turn.
AI request to end turn was rejected but AI didn't make another one and game got stuck.

Additionally, the new adventure AI will check, whether its requests were accepted and will submit them again if not.


- Issue History
Date Modified Username Field Change
2011-05-27 12:25 Steven Aus New Issue
2011-05-27 12:25 Steven Aus File Added: Player is not allowed to perform this action!.7z
2011-05-28 07:39 Zamolxis Product Version => 0.84b
2011-05-28 15:56 Zamolxis Note Added: 0001736
2011-05-28 15:56 Zamolxis Status new => feedback
2011-09-06 05:48 Tow Relationship added has duplicate 0000800
2011-09-06 05:49 Tow Assigned To => Tow
2011-09-06 05:49 Tow Status feedback => confirmed
2011-09-06 10:03 Tow Note Added: 0002000
2011-09-06 10:03 Tow Status confirmed => resolved
2011-09-06 10:03 Tow Fixed in Version => 0.89
2011-09-06 10:03 Tow Resolution open => fixed
2011-09-06 10:05 Tow Note Edited: 0002000 View Revisions
2014-05-30 17:40 beegee Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2022 MantisBT Team
Hosting provided by DigitalOcean